## golang-github-alessio-shellescape 1.6.0

=== Makefile ===

#!/usr/bin/make -f

VERSION := $(shell git describe)

all: build

build:
	go build -a -v

install:
	go install ./cmd/escargs

escargs: build
	go build -v \
          -ldflags="-X 'main.version=$(VERSION)'" \
          ./cmd/escargs

clean:
	rm -rfv escargs

uninstall:
	rm -v $(shell go env GOPATH)/bin/escargs

.PHONY: build clean install uninstall

## golang-github-alessio-shellescape 1.4.1

=== debian/changelog ===
golang-github-alessio-shellescape (1.4.1-2) unstable; urgency=medium

  * Team upload.
  * No-change source-only upload to migrate the package.

 -- Sergio Durigan Junior <sergiodj@debian.org>  Sat, 06 Feb 2021 18:51:57 -0500

golang-github-alessio-shellescape (1.4.1-1) unstable; urgency=medium

  [ Jack Henschel ]
  * Initial release (Closes: #958563, #969634)

  [ Arthur Diniz ]
  * Delete debian/compat, since using debhelper-compat.
  * debian/control:
    - Declare compliance with debian policy 4.5.1.
    - Bump debhelper compatibility level to 13.
    - Set Rules-Requires-Root to no.
    - Update description spacing.
    - Add myself to uploaders.
  * debian/copyright:
    - Add myself to packaging copyright.
    - Remove Files-Excluded since they don't exist anymore.
    - Rename MIT license to Expat.
  * debian/examples: Install example example_test.go from upstream

 -- Arthur Diniz <arthurbdiniz@gmail.com>  Thu, 04 Feb 2021 21:33:11 -0300

=== debian/control ===
Source: golang-github-alessio-shellescape
Section: devel
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Jack Henschel <jackdev@mailbox.org>,
           Arthur Diniz <arthurbdiniz@gmail.com>
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any
Standards-Version: 4.5.1
Homepage: https://github.com/alessio/shellescape
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-alessio-shellescape
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-alessio-shellescape.git
XS-Go-Import-Path: github.com/alessio/shellescape
Testsuite: autopkgtest-pkg-go
Rules-Requires-Root: no

Package: golang-github-alessio-shellescape-dev
Architecture: all
Depends: ${misc:Depends}
Description: Escape arbitrary strings for use as command line arguments
 This package provides the shellescape.Quote() function that returns a
 shell-escaped copy of a string. This functionality could be helpful in
 those cases where it is known that the output of a Go program will be
 appended to/used in the context of shell programs command line arguments.
 .
 This work was inspired by the Python original package shellescape
 (https://pypi.python.org/pypi/shellescape).

=== debian/rules ===
#!/usr/bin/make -f

export DH_GOLANG_EXCLUDES := escargs/*

%:
	dh $@ --buildsystem=golang --with=golang

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/golang-github-alessio-shellescape-\$1\.tar\.gz/,\
uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/ \
  https://github.com/alessio/shellescape/tags .*/v?(\d\S*)\.tar\.gz

## golang-github-alessio-shellescape 1.4.2

=== debian/changelog ===
golang-github-alessio-shellescape (1.4.2-1) unstable; urgency=medium

  * Team upload
  * New upstream version 1.4.2
  * Misc packaging updates

 -- Arnaud Rebillout <arnaudr@kali.org>  Fri, 24 Nov 2023 08:54:00 +0700

golang-github-alessio-shellescape (1.4.1-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository, Repository-Browse.
  * Apply multi-arch hints. + golang-github-alessio-shellescape-dev: Add Multi-Arch: foreign.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 23 Nov 2022 22:04:50 +0000

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,23 @@
 Source: golang-github-alessio-shellescape
-Section: devel
+Section: golang
 Priority: optional
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Jack Henschel <jackdev@mailbox.org>,
            Arthur Diniz <arthurbdiniz@gmail.com>
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
-               dh-golang,
-               golang-any
-Standards-Version: 4.5.1
+               dh-sequence-golang,
+               golang-any,
+Testsuite: autopkgtest-pkg-go
+Standards-Version: 4.6.2
 Homepage: https://github.com/alessio/shellescape
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-alessio-shellescape
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-alessio-shellescape.git
 XS-Go-Import-Path: github.com/alessio/shellescape
-Testsuite: autopkgtest-pkg-go
-Rules-Requires-Root: no
 
 Package: golang-github-alessio-shellescape-dev
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Description: Escape arbitrary strings for use as command line arguments
  This package provides the shellescape.Quote() function that returns a

## golang-github-alessio-shellescape 1.6.0

=== debian/changelog ===
golang-github-alessio-shellescape (1.6.0-1) unstable; urgency=medium

  * New upstream version 1.6.0
  * Rename binary package due to the import path change (Closes: #1101060)
  * Add golang-github-google-shlex-dev in Build-Depends and Depends

 -- Dylan Aïssi <daissi@debian.org>  Wed, 13 Aug 2025 22:11:13 +0200

=== debian/control ===
--- 
+++ 
@@ -8,17 +8,22 @@
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-golang,
                golang-any,
+               golang-github-google-shlex-dev
 Testsuite: autopkgtest-pkg-go
 Standards-Version: 4.6.2
 Homepage: https://github.com/alessio/shellescape
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-alessio-shellescape
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-alessio-shellescape.git
-XS-Go-Import-Path: github.com/alessio/shellescape
+XS-Go-Import-Path: al.essio.dev/pkg/shellescape
 
-Package: golang-github-alessio-shellescape-dev
+Package: golang-al-essio-pkg-shellescape-dev
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}
+Depends: ${misc:Depends},
+         golang-github-google-shlex-dev
+Replaces: golang-github-alessio-shellescape-dev (<< 1.6.0-1~)
+Breaks: golang-github-alessio-shellescape-dev (<< 1.6.0-1~)
+Provides: golang-github-alessio-shellescape-dev
 Description: Escape arbitrary strings for use as command line arguments
  This package provides the shellescape.Quote() function that returns a
  shell-escaped copy of a string. This functionality could be helpful in
@@ -27,3 +32,11 @@
  .
  This work was inspired by the Python original package shellescape
  (https://pypi.python.org/pypi/shellescape).
+
+Package: golang-github-alessio-shellescape-dev
+Section: oldlibs
+Architecture: all
+Depends: ${misc:Depends}, golang-al-essio-pkg-shellescape-dev
+Description: Transitional package for golang-al-essio-pkg-shellescape-dev
+ This is a transitional package to ease upgrades to the
+ golang-al-essio-pkg-shellescape-dev.

=== debian/rules ===
#!/usr/bin/make -f

export DH_GOLANG_EXCLUDES := escargs/*

%:
	dh $@ --builddirectory=_build --buildsystem=golang
